package org.apache.bcel.util;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import java.util.HashMap;
import java.util.Map;
import org.apache.bcel.classfile.JavaClass;
import org.apache.bcel.util.AbstractClassPathRepository;
import org.apache.bcel.util.ClassPath;

public class ClassPathRepository extends AbstractClassPathRepository {
  private final Map<String, JavaClass> loadedClasses = new HashMap<>();
  
  public ClassPathRepository(ClassPath classPath) {
    super(classPath);
  }
  
  public void clear() {
    this.loadedClasses.clear();
  }
  
  public JavaClass findClass(String className) {
    return this.loadedClasses.get(className);
  }
  
  public void removeClass(JavaClass javaClass) {
    this.loadedClasses.remove(javaClass.getClassName());
  }
  
  public void storeClass(JavaClass javaClass) {
    this.loadedClasses.put(javaClass.getClassName(), javaClass);
    javaClass.setRepository(this);
  }
}
